## gnome-builder 3.25.91

=== meson_options.txt ===
# TODO: Add descriptions to all of these
option('enable_tracing', type: 'boolean', value: false)
option('enable_profiling', type: 'boolean', value: false)
option('enable_rdtscp', type: 'boolean', value: false,
  description: 'High performance counters'
)

option('with_channel',
          type: 'combo',
       choices: [ 'other', 'flatpak-stable', 'flatpak-nightly' ],
   description: 'The distribution channel for Builder',
)

option('with_editorconfig', type: 'boolean')
option('with_webkit', type: 'boolean')
option('with_introspection', type: 'boolean')
option('with_vapi', type: 'boolean')
option('with_help', type: 'boolean')
option('with_docs', type: 'boolean')

# Plugins
# Ideally we want many of these to be defined in the plugin dir:
#   https://github.com/mesonbuild/meson/issues/707
option('with_autotools', type: 'boolean')
option('with_autotools_templates', type: 'boolean', value: false)
option('with_beautifier', type: 'boolean')
option('with_c_pack', type: 'boolean')
option('with_cargo', type: 'boolean')
option('with_clang', type: 'boolean')
option('with_cmake', type: 'boolean')
option('with_color_picker', type: 'boolean')
option('with_command_bar', type: 'boolean')
option('with_comment_code', type: 'boolean')
option('with_create_project', type: 'boolean')
option('with_ctags', type: 'boolean')
option('with_documentation_card', type: 'boolean')
option('with_devhelp', type: 'boolean')
option('with_eslint', type: 'boolean')
option('with_file_search', type: 'boolean')
option('with_find_other_file', type: 'boolean')
option('with_flatpak', type: 'boolean')
option('with_fpaste', type: 'boolean')
option('with_gcc', type: 'boolean')
option('with_gettext', type: 'boolean')
option('with_git', type: 'boolean')
option('with_gnome_code_assistance', type: 'boolean')
option('with_html_completion', type: 'boolean')
option('with_html_preview', type: 'boolean')
option('with_jedi', type: 'boolean')
option('with_jhbuild', type: 'boolean')
option('with_make', type: 'boolean')
option('with_meson', type: 'boolean')
option('with_meson_templates', type: 'boolean')
option('with_mingw', type: 'boolean')
option('with_mono', type: 'boolean')
option('with_notification', type: 'boolean')
option('with_npm', type: 'boolean')
option('with_phpize', type: 'boolean')
option('with_project_tree', type: 'boolean')
option('with_python_gi_imports_completion', type: 'boolean')
option('with_python_pack', type: 'boolean')
option('with_quick_highlight', type: 'boolean')
option('with_retab', type: 'boolean')
option('with_rust_langserv', type: 'boolean')
option('with_rustup', type: 'boolean')
option('with_spellcheck', type: 'boolean')
option('with_support', type: 'boolean')
option('with_symbol_tree', type: 'boolean')
option('with_sysmon', type: 'boolean')
option('with_sysprof', type: 'boolean')
option('with_terminal', type: 'boolean')
option('with_todo', type: 'boolean')
option('with_vala_pack', type: 'boolean')
option('with_valgrind', type: 'boolean')
option('with_xml_pack', type: 'boolean')

## gnome-builder 3.18.1

=== debian/changelog ===
gnome-builder (3.18.1-2ubuntu1) xenial; urgency=medium

  * debian/control.in:
    - Add explicit dependency for on libpeas-1.0-0-python3loader.
      (LP: #1440504)
    - update-maintainer

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 16 Feb 2016 17:41:31 -0500

gnome-builder (3.18.1-2) unstable; urgency=medium

  [ Tim Lunn ]
  * debian/control.in: Add build-dep on libwebkit2gtk-4.0-dev this
    is required by the HTML preview plugin
  * debian/rules:
    - Explicitly enable all plugins (except experimental plugins)
    - switch to fail-missing, remove plugin .la files and exclude the libide
      bits, this still has unstable ABI and not meant to be public yet
      (Closes: #804769) (bgo: #758266)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 20 Nov 2015 10:49:15 +0100

gnome-builder (3.18.1-1) unstable; urgency=medium

  * New upstream release
    - Drop all the patches, merged upstream
    - Adjust the build-dependencies
  * Automatically determine the dependencies for the .typelib files (Closes:
    #801648)
  * Exclude private libraries from dh_makeshlibs call
  * List files currently not installed in the package and install some of them
  * debian/rules: Do not build static libraries
  * d/p/0001-vala-remove-in-tree-hack-for-builder-deps.patch: remove in-tree
    hack for builder deps, this removes some runtime error, from upstream

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 Oct 2015 22:19:42 +0200

gnome-builder (3.16.3-2) unstable; urgency=medium

  * Upload to unstable.
  * Use unversioned libclang-dev Build-Depends to ensure it matches the llvm
    version. This also ensures we get the Debian default llvm/clang version.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Oct 2015 17:55:23 +0200

gnome-builder (3.16.3-1) experimental; urgency=low

  * Initial release

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 11 Oct 2015 12:38:45 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-builder
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               autotools-dev,
               debhelper (>= 9),
               desktop-file-utils,
               exuberant-ctags,
               gnome-pkg-tools,
               gobject-introspection (>= 1.42.0),
               intltool,
               libclang-dev,
               libdevhelp-dev,
               libgit2-glib-1.0-dev (>= 0.23.4),
               libgjs-dev (>= 1.42.0),
               libglib2.0-dev (>= 2.45.8),
               libgtk-3-dev (>= 3.17.8),
               libgtksourceview-3.0-dev (>= 3.17.7),
               libpcre3-dev,
               libpeas-dev (>= 1.14.1),
               libvala-0.30-dev (>= 0.29.3),
               libvte-2.91-dev (>= 0.40.2),
               libwebkit2gtk-4.0-dev (>= 2.8.4),
               libxml2-dev (>= 2.9.0),
               llvm,
               python-gi-dev (>= 3.0.0),
               python3-dev,
               valac (>= 0.29.3)
# Don't (re)build libide api docs for now:
#               gtk-doc-tools,
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Builder
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-builder/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-builder/

Package: gnome-builder
Architecture: any
Depends: exuberant-ctags,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-3.0,
         gir1.2-peas-1.0,
         gir1.2-webkit2-4.0,
         python3-gi,
         valac-0.30-vapi,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         libpeas-1.0-0-python3loader,
Recommends: python3-jedi
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 our platform to more developers than ever before. It is currently under
 heavy development and needs your help to become a success. Check out our
 Fundraiser to see how you can help. Get excited about the future by
 taking a look at our planned Features.
 .
 https://wiki.gnome.org/Apps/Builder/Fundraiser
 https://wiki.gnome.org/Apps/Builder/Features

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@  --with autotools-dev,gir

override_dh_auto_configure:
	dh_auto_configure -- --disable-static \
		--enable-autotools-plugin \
		--enable-clang-plugin \
		--enable-command-bar-plugin \
		--enable-c-pack-plugin \
		--enable-ctags-plugin \
		--enable-devhelp-plugin \
		--disable-device-manager-plugin \
		--enable-file-search-plugin \
		--enable-gnome-code-assistance-plugin \
		--enable-html-completion-plugin \
		--enable-html-preview-plugin \
		--enable-jedi-plugin \
		--disable-mingw-plugin \
		--enable-python-gi-imports-completion-plugin \
		--enable-python-pack-plugin \
		--enable-symbol-tree-plugin \
		--enable-sysmon-plugin \
		--enable-terminal-plugin \
		--enable-vala-pack-plugin \
		--enable-xml-pack-plugin

# force debian/tmp installation for now until we ship
# more then one binary package, then this can be dropped...
override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_test:
	dh_auto_test || true

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing -Xgtk-doc -Xpkgconfig -Xgir-1.0

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder

override_dh_girepository:
	dh_girepository -ldebian/tmp/usr/share/gnome-builder/gir-1.0 \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/ \
	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/girepository-1.0/

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-builder/([\d\.]+[02468])/gnome-builder-([\d\.]+)\.tar\.xz

## gnome-builder 3.20.4

=== debian/changelog ===
gnome-builder (3.20.4-2ubuntu1) yakkety; urgency=medium

  * Depend on autoconf-archive which is apparently needed to build
    vala projects. It's needed to build a lot of GNOME projects
    now anyway.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Oct 2016 05:23:52 -0400

gnome-builder (3.20.4-2) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Depend on clang to have a solid out-of-the-box experience with C/C++
    - as recommended by upstream
  * Depend on gir1.2-git2-glib-1.0 as needed by contributing_plugin
  * Depend on libvala-0.32-dev as libvala-0.32.pc is needed to find
    libvala-0.32. Fixes warning on console while opening a project.

  [ Jeremy Bicha ]
  * debian/rules, debian/gnome-builder.install, and
    0001-app-rename-program-mode-checks-to-gnome-builder-cli.patch:
    - Rename `/usr/bin/ide` to `gnome-builder-cli` (Closes: #824517)
  * Backport some other fixes from git:
    - 0002-terminal-add-scrollbar-for-terminal.patch
    - 0003-desktop-Add-IDE-category.patch

  [ Laurent Bigonville ]
  * debian/control.in: Also Recommend python3-lxml for jedi plugin (Closes:
    #826559)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 10 Jun 2016 17:41:45 +0200

gnome-builder (3.20.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 20:26:21 +0200

gnome-builder (3.20.2-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop debian/patches/0001-vala-remove-in-tree-hack-for-builder-deps.patch
    - merged upstream.
  * Update build-dependencies according to configure.ac changes:
    - Bump gobject-introspection to >= 1.47.92
    - Bump libglib2.0-dev to >= 2.47.92
    - Bump libgtk-3-dev to >= 3.20.0
    - Bump libgtksourceview-3.0-dev to >= 3.20.0
    - Bump libpeas-dev to >= 1.17.0
    - Bump python-gi-dev to >= 3.19.3
    - Bump valac to >= 0.30.0.55
    - Add yelp-tools
  * Change dependency from valac-0.30-vapi to valac-0.32-vapi
    (Closes: #819538)
  * Change libvala-0.30-dev build-dependency to -0.32 to match.
  * Bump Standards-Version to 3.9.8
  * Ship new gnome-builder-worker and ide commands
  * Ship new help files
  * Add debian/patches/fix-terminal-plugin-ldflags.patch
    - avoids generating so-versioned libterminal.so.*
  * debian/rules: delete all *.pyc (and *.pyo) files in usr/lib
    - avoids precompiled site-packages python files in package.
  * debian/rules: delete usr/include/gnome-builder-*
    - files exists to allow gir, vala, etc bindings generation in-tree.
  * Install usr/lib/python3.5/site-packages/gi/overrides for Ide.py override
    - see also http://bugs.debian.org/819736
  * Use dh-autoreconf, needed since we patch plugins/terminal/Makefile.am
    - this replaces autotools-dev which gets dropped
  * Explicitly enable git plugin (which was formerly not a plugin)
  * Bump build-dependencies for plugins/*/configure.ac changes:
    - devhelp plugin: libdevhelp-dev to >= 3.20.0
    - git plugin: libgit2-glib-1.0-dev to >= 0.24.0
    Note: added/new plugins not taken into consideration here (yet).
  * Add debian/patches/fix-missing-git-check.patch
  * Drop explicit disabling of device-manager plugin, removed upstream.
  * Explicitly enable all new plugins:
    - build-tools-plugin, comment-code-plugin, contributing-plugin,
      create-project-plugin, fpaste-plugin, gcc-plugin, gettext-plugin,
      jhbuild-plugin, library-template-plugin, project-tree-plugin,
      support-plugin, todo-plugin, xdg-app-plugin
  * Build-dep on dh-python, use --with python3 and dep on ${python3:Depends}.
    - according to man dh_python3 for fixing up module path.
  * Remove gi override pycache and use py3compile in postinst.
  * Bump libpeas build-dependency as we need 1.18.0 at runtime
    - otherwise the main 'editor' plugin will not be found and all breaks.

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.

  [ Laurent Bigonville ]
  * New upstream release (3.20.2).
    - Drop all patches, merged upstream
    - Add libpango1.0-dev to the build-dependencies

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 11 May 2016 09:22:28 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-builder
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               dh-autoreconf,
               dh-python,
               debhelper (>= 9),
               desktop-file-utils,
               exuberant-ctags,
               gnome-pkg-tools,
               gobject-introspection (>= 1.47.92),
               intltool,
               libclang-dev,
               libdevhelp-dev (>= 3.20.0),
               libgit2-glib-1.0-dev (>= 0.24.0),
               libgjs-dev (>= 1.42.0),
               libglib2.0-dev (>= 2.47.92),
               libgtk-3-dev (>= 3.20.0),
               libgtksourceview-3.0-dev (>= 3.20.0),
               libpango1.0-dev (>= 1.38.0),
               libpcre3-dev,
               libpeas-dev (>= 1.18.0-2~),
               libvala-0.32-dev (>= 0.29.3),
               libvte-2.91-dev (>= 0.40.2),
               libwebkit2gtk-4.0-dev (>= 2.8.4),
               libxml2-dev (>= 2.9.0),
               llvm,
               python-gi-dev (>= 3.19.3),
               python3-dev,
               valac (>= 0.30.0.55),
               yelp-tools
# Don't (re)build libide api docs for now:
#               gtk-doc-tools,
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Apps/Builder
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-builder/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-builder/

Package: gnome-builder
Architecture: any
Depends: autoconf-archive,
         exuberant-ctags,
         gir1.2-git2-glib-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-3.0,
         gir1.2-peas-1.0,
         gir1.2-webkit2-4.0,
         python3-gi,
         valac-0.32-vapi,
         libvala-0.32-dev,
         clang,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-jedi, python3-lxml
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 our platform to more developers than ever before. It is currently under
 heavy development and needs your help to become a success. Check out our
 Fundraiser to see how you can help. Get excited about the future by
 taking a look at our planned Features.
 .
 https://wiki.gnome.org/Apps/Builder/Fundraiser
 https://wiki.gnome.org/Apps/Builder/Features

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
+
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 # output every command that modifies files on the build system.
@@ -20,29 +20,42 @@
 
 
 %:
-	dh $@  --with autotools-dev,gir
+	dh $@  --with autoreconf,gir,gnome,python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static \
 		--enable-autotools-plugin \
+		--enable-build-tools-plugin \
 		--enable-clang-plugin \
 		--enable-command-bar-plugin \
+		--enable-comment-code-plugin \
+		--enable-contributing-plugin \
+		--enable-create-project-plugin \
 		--enable-c-pack-plugin \
 		--enable-ctags-plugin \
 		--enable-devhelp-plugin \
-		--disable-device-manager-plugin \
 		--enable-file-search-plugin \
+		--enable-fpaste-plugin \
+		--enable-gcc-plugin \
+		--enable-gettext-plugin \
+		--enable-git-plugin \
 		--enable-gnome-code-assistance-plugin \
 		--enable-html-completion-plugin \
 		--enable-html-preview-plugin \
 		--enable-jedi-plugin \
+		--enable-jhbuild-plugin \
+		--enable-library-template-plugin \
 		--disable-mingw-plugin \
+		--enable-project-tree-plugin \
 		--enable-python-gi-imports-completion-plugin \
 		--enable-python-pack-plugin \
+		--enable-support-plugin \
 		--enable-symbol-tree-plugin \
 		--enable-sysmon-plugin \
 		--enable-terminal-plugin \
+		--enable-todo-plugin \
 		--enable-vala-pack-plugin \
+		--enable-xdg-app-plugin \
 		--enable-xml-pack-plugin
 
 # force debian/tmp installation for now until we ship
@@ -54,7 +67,11 @@
 	dh_auto_test || true
 
 override_dh_install:
+	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
 	find debian/tmp -name '*.la' -delete
+	find debian/tmp/usr/lib/ -name '*.pyc' -o -name '*.pyo' -delete
+	rm -rf debian/tmp/usr/include/gnome-builder-*
+	mv debian/tmp/usr/bin/ide debian/tmp/usr/bin/gnome-builder-cli
 	dh_install --fail-missing -Xgtk-doc -Xpkgconfig -Xgir-1.0
 
 override_dh_makeshlibs:

## gnome-builder 3.22.1

=== debian/changelog ===
gnome-builder (3.22.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Don't use dh_python3 for autotools templates (Closes: #838342)

  [ Emilio Pozuelo Monfort ]
  * Disable clang support on armel, as LLVM 3.8 is not available there.

  [ Michael Biebl ]
  * Upload to unstable.
  * New upstream release.

  [ Andreas Henriksson ]
  * Bump sysprof build-dependency to >= 3.22.1 according to configure.ac
  * Update list of architectures to include all where sysprof as of
    3.22.1-2 has built successfully on.
  * Add dependency on autoconf-archive as users of gnome-builder will
    want to have it installed to be able to build their new C projects.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Oct 2016 16:49:09 +0200

gnome-builder (3.22.0-1) experimental; urgency=medium

  * debian/rules: fix multiple-condition find delete rule.
  * New upstream release.
  * Bump libgtk-3-dev build-dependency to >= 3.21.6 according to configure.ac
  * Bump dh compat to 10 (automatic dh-autoreconf).

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 21:55:01 +0200

gnome-builder (3.21.91-1) experimental; urgency=medium

  [ Andreas Henriksson ]
  * debian/control*:
    - Limit sysprof build-dependency to where it's currently available.
    - Add sysprof to Recommends:, so it's available if plugin gets enabled.
  * debian/rules:
    - Explicitly pass --{enable,disable}-sysprof-plugin based on arch
      we're building on as the plugin defaults to enable (not auto).

  [ Michael Biebl ]
  * New upstream release.
  * Drop debian/patches/sysprog-plugin-no-so-ver.patch, merged upstream.
  * Update package description.

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Sep 2016 20:16:38 +0200

gnome-builder (3.21.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - drop intltool, in favour of gettext.
    - bump gobject-introspection to >= 1.48.0
    - libglib2.0-dev to >= 2.49.0
    - libgtk-3-dev to >= 3.21.1
    - libgtksourceview-3.0-dev to >= 3.21.2
    - python-gi-dev to >= 3.21.0
  * Update build-dependencies as needed by plugins/*/configure.ac:
    - Add libflatpak-dev >= 0.6.0, to have the flatpak plugin enabled.
    - Add sysprof >= 3.21.90, as we need sysprof-ui-2.pc for sysprof plugin.
  * Add mm-common build-dependency as needed by mm-doc.m4
  * Drop debian/patches, now part of upstream release:
    - 0001-app-rename-program-mode-checks-to-gnome-builder-cli.patch
    - 0002-terminal-add-scrollbar-for-terminal.patch
    - 0003-desktop-Add-IDE-category.patch
  * debian/rules: drop renaming of /usr/bin/ide, no longer needed.
  * debian/gnome-builder.install: install gnome-builder-worker from
    libexecdir as it's no longer shipped in /usr/bin upstream.
  * Add debian/patches/sysprog-plugin-no-so-ver.patch
    - this avoids building .so.0* for the sysprof plugin.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Aug 2016 12:25:39 +0200

gnome-builder (3.20.4-4) unstable; urgency=medium

  * Disable clang plugin on armel, LLVM 3.8 is not available there.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 07 Oct 2016 21:26:41 +0200

gnome-builder (3.20.4-3) unstable; urgency=medium

  * Build against vala 0.34.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 15:46:46 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-builder
Section: editors
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               dh-python,
               debhelper (>= 10),
               desktop-file-utils,
               exuberant-ctags,
               gnome-pkg-tools,
               gobject-introspection (>= 1.48.0),
               libclang-dev [!armel],
               libdevhelp-dev (>= 3.20.0),
               libflatpak-dev (>= 0.6.0),
               libgit2-glib-1.0-dev (>= 0.24.0),
               libgjs-dev (>= 1.42.0),
               libglib2.0-dev (>= 2.49.0),
               libgtk-3-dev (>= 3.21.6),
               libgtksourceview-3.0-dev (>= 3.21.2),
               libpango1.0-dev (>= 1.38.0),
               libpcre3-dev,
               libpeas-dev (>= 1.18.0-2~),
               libvala-0.34-dev,
               libvte-2.91-dev (>= 0.40.2),
               libwebkit2gtk-4.0-dev (>= 2.8.4),
               libxml2-dev (>= 2.9.0),
               llvm [!armel],
               mm-common,
               python-gi-dev (>= 3.21.0),
               python3-dev,
               sysprof (>= 3.22.1) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
               valac (>= 0.34),
               yelp-tools
# Don't (re)build libide api docs for now:
#               gtk-doc-tools,
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Apps/Builder
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-builder/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-builder/

Package: gnome-builder
Architecture: any
Depends: exuberant-ctags,
         gir1.2-git2-glib-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-3.0,
         gir1.2-peas-1.0,
         gir1.2-webkit2-4.0,
         python3-gi,
         valac-0.34-vapi,
         libvala-0.34-dev,
         clang [!armel],
         autoconf-archive,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-jedi, python3-lxml, sysprof
Description: IDE for GNOME
 Builder is a new IDE for GNOME that is focused on bringing the power of
 our platform to more developers than ever before.
 .
 Builder attempts to be an IDE for writing software for GNOME. It does not try
 to be a generic IDE, but one specialized for GNOME application developers.

## gnome-builder 3.22.2

=== debian/changelog ===
gnome-builder (3.22.2-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Recommend flatpak

  [ Michael Biebl ]
  * New upstream release.
  * Update Build-Depends as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Nov 2016 02:28:10 +0100

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,10 @@
                libflatpak-dev (>= 0.6.0),
                libgit2-glib-1.0-dev (>= 0.24.0),
                libgjs-dev (>= 1.42.0),
-               libglib2.0-dev (>= 2.49.0),
-               libgtk-3-dev (>= 3.21.6),
-               libgtksourceview-3.0-dev (>= 3.21.2),
+               libglib2.0-dev (>= 2.50.0),
+               libgtk-3-dev (>= 3.22.1),
+               libgtksourceview-3.0-dev (>= 3.22.0),
+               libjson-glib-dev (>= 0.1.0),
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-dev (>= 1.18.0-2~),
@@ -31,9 +32,9 @@
                libxml2-dev (>= 2.9.0),
                llvm [!armel],
                mm-common,
-               python-gi-dev (>= 3.21.0),
+               python-gi-dev (>= 3.22.0),
                python3-dev,
-               sysprof (>= 3.22.1) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
+               sysprof (>= 3.22.2) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
                valac (>= 0.34),
                yelp-tools
 # Don't (re)build libide api docs for now:
@@ -61,7 +62,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-jedi, python3-lxml, sysprof
+Recommends: python3-jedi, python3-lxml, sysprof, flatpak
 Description: IDE for GNOME
  Builder is a new IDE for GNOME that is focused on bringing the power of
  our platform to more developers than ever before.

## gnome-builder 3.22.3

=== debian/changelog ===
gnome-builder (3.22.3-1ubuntu1) zesty; urgency=medium

  * Add revert-require-vte46.patch:
    - Revert commit that requires vte2.91 0.46+ (see bug 1636666)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Dec 2016 17:16:29 -0500

gnome-builder (3.22.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Nov 2016 13:37:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-builder
 Section: editors
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                dh-python,
                debhelper (>= 10),

=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,28 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+# Explicitly disable this plugin which defaults to enabled
+# unless we're on the limited set of architectures that has sysprof.
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32,$(DEB_HOST_ARCH)))
+SYSPROF_PLUGIN = --enable-sysprof-plugin
+else
+SYSPROF_PLUGIN = --disable-sysprof-plugin
+endif
+
+ifeq (armel,$(DEB_HOST_ARCH))
+CLANG_PLUGIN = --disable-clang-plugin
+else
+CLANG_PLUGIN = --enable-clang-plugin
+endif
 
 %:
-	dh $@  --with autoreconf,gir,gnome,python3
+	dh $@  --with gir,gnome,python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static \
 		--enable-autotools-plugin \
 		--enable-build-tools-plugin \
-		--enable-clang-plugin \
 		--enable-command-bar-plugin \
 		--enable-comment-code-plugin \
 		--enable-contributing-plugin \
@@ -56,7 +69,9 @@
 		--enable-todo-plugin \
 		--enable-vala-pack-plugin \
 		--enable-xdg-app-plugin \
-		--enable-xml-pack-plugin
+		--enable-xml-pack-plugin \
+		$(CLANG_PLUGIN) \
+		$(SYSPROF_PLUGIN)
 
 # force debian/tmp installation for now until we ship
 # more then one binary package, then this can be dropped...
@@ -69,9 +84,8 @@
 override_dh_install:
 	rm -rf debian/tmp/usr/lib/python*/*-packages/gi/overrides/__pycache__/
 	find debian/tmp -name '*.la' -delete
-	find debian/tmp/usr/lib/ -name '*.pyc' -o -name '*.pyo' -delete
+	find debian/tmp/usr/lib/ \( -name '*.pyc' -o -name '*.pyo' \) -delete
 	rm -rf debian/tmp/usr/include/gnome-builder-*
-	mv debian/tmp/usr/bin/ide debian/tmp/usr/bin/gnome-builder-cli
 	dh_install --fail-missing -Xgtk-doc -Xpkgconfig -Xgir-1.0
 
 override_dh_makeshlibs:
@@ -81,3 +95,7 @@
 	dh_girepository -ldebian/tmp/usr/share/gnome-builder/gir-1.0 \
 	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/ \
 	  /usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder/girepository-1.0/
+
+override_dh_python3:
+# https://bugs.debian.org/838342
+	dh_python3 -X.*/plugins/autotools_templates/resources/.*

## gnome-builder 3.22.4

=== debian/changelog ===
gnome-builder (3.22.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libvte-2.91-dev to (>= 0.46) as required by the
    terminal plugin.
  * Add Build-Depends on libsoup2.4-dev as required by the flatpak plugin.
  * Bump Build-Depends on libflatpak-dev to (>= 0.6.9) as required by the
    flatpak plugin.
  * Update configure switches
    - Rename xdg-app-plugin → flatpak-plugin
    - Rename library-template-plugin → autotools-templates
    - Explicitly enable cargo, color-picker, meson and quick-highlight plugin

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Dec 2016 12:59:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-builder
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                dh-python,
                debhelper (>= 10),
@@ -17,8 +16,9 @@
                gobject-introspection (>= 1.48.0),
                libclang-dev [!armel],
                libdevhelp-dev (>= 3.20.0),
-               libflatpak-dev (>= 0.6.0),
+               libflatpak-dev (>= 0.6.9),
                libgit2-glib-1.0-dev (>= 0.24.0),
+               libsoup2.4-dev,
                libgjs-dev (>= 1.42.0),
                libglib2.0-dev (>= 2.50.0),
                libgtk-3-dev (>= 3.22.1),
@@ -28,7 +28,7 @@
                libpcre3-dev,
                libpeas-dev (>= 1.18.0-2~),
                libvala-0.34-dev,
-               libvte-2.91-dev (>= 0.40.2),
+               libvte-2.91-dev (>= 0.46),
                libwebkit2gtk-4.0-dev (>= 2.8.4),
                libxml2-dev (>= 2.9.0),
                llvm [!armel],

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static \
 		--enable-autotools-plugin \
+		--enable-autotools-templates \
 		--enable-build-tools-plugin \
+		--enable-cargo-plugin \
+		--enable-color-picker-plugin \
 		--enable-command-bar-plugin \
 		--enable-comment-code-plugin \
 		--enable-contributing-plugin \
@@ -48,6 +51,7 @@
 		--enable-ctags-plugin \
 		--enable-devhelp-plugin \
 		--enable-file-search-plugin \
+		--enable-flatpak-plugin \
 		--enable-fpaste-plugin \
 		--enable-gcc-plugin \
 		--enable-gettext-plugin \
@@ -57,18 +61,18 @@
 		--enable-html-preview-plugin \
 		--enable-jedi-plugin \
 		--enable-jhbuild-plugin \
-		--enable-library-template-plugin \
+		--enable-meson-plugin \
 		--disable-mingw-plugin \
 		--enable-project-tree-plugin \
 		--enable-python-gi-imports-completion-plugin \
 		--enable-python-pack-plugin \
+		--enable-quick-highlight-plugin \
 		--enable-support-plugin \
 		--enable-symbol-tree-plugin \
 		--enable-sysmon-plugin \
 		--enable-terminal-plugin \
 		--enable-todo-plugin \
 		--enable-vala-pack-plugin \
-		--enable-xdg-app-plugin \
 		--enable-xml-pack-plugin \
 		$(CLANG_PLUGIN) \
 		$(SYSPROF_PLUGIN)

## gnome-builder 3.23.90

=== debian/changelog ===
gnome-builder (3.23.90-0ubuntu2) zesty; urgency=medium

  * Add fix-32-bit-build.patch:
    - Add git commit to fix build on 32-bit architectures
  * Update configure switches:
    - Explicitly disable meson-templates, see GNOME #778897

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 18 Feb 2017 20:25:01 -0500

gnome-builder (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Build-Depend on gspell and gtkmm3.0
  * Update configure switches:
    - Add beautifier, cmake, hello-cpp and rust
    - Drop contributing (dropped in new version)
    - Drop build-tools and devhelp (always enabled)
  * debian/gnome-builder.install:
    - Update to install files provided by hello-cpp plugin
  * Add revert-require-libgit2-glib25.patch:
    - Keep using libgit2-glib 0.24 because libgit2 0.25 requires
      code changes in other packages

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 18 Feb 2017 18:56:55 -0500

gnome-builder (3.22.4-1ubuntu2) zesty; urgency=medium

  * No-change rebuild using LLVM 3.9.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Jan 2017 13:24:52 +0100

gnome-builder (3.22.4-1ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add revert-require-vte46.patch:
      Revert commit that requires vte2.91 0.46+ (see bug 1636666)
    - debian/control: Lower libvte-2.91-dev requirement to 0.44

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Dec 2016 10:12:02 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-builder
 Section: editors
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                dh-python,
                debhelper (>= 10),
@@ -21,14 +22,16 @@
                libsoup2.4-dev,
                libgjs-dev (>= 1.42.0),
                libglib2.0-dev (>= 2.50.0),
+               libgspell-1-dev (>= 1.2.0),
                libgtk-3-dev (>= 3.22.1),
+               libgtkmm-3.0-dev,
                libgtksourceview-3.0-dev (>= 3.22.0),
                libjson-glib-dev (>= 0.1.0),
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-dev (>= 1.18.0-2~),
                libvala-0.34-dev,
-               libvte-2.91-dev (>= 0.46),
+               libvte-2.91-dev (>= 0.44),
                libwebkit2gtk-4.0-dev (>= 2.8.4),
                libxml2-dev (>= 2.9.0),
                llvm [!armel],

=== debian/rules ===
--- 
+++ 
@@ -40,16 +40,15 @@
 	dh_auto_configure -- --disable-static \
 		--enable-autotools-plugin \
 		--enable-autotools-templates \
-		--enable-build-tools-plugin \
+		--enable-beautifier-plugin \
 		--enable-cargo-plugin \
+		--enable-cmake-plugin \
 		--enable-color-picker-plugin \
 		--enable-command-bar-plugin \
 		--enable-comment-code-plugin \
-		--enable-contributing-plugin \
 		--enable-create-project-plugin \
 		--enable-c-pack-plugin \
 		--enable-ctags-plugin \
-		--enable-devhelp-plugin \
 		--enable-file-search-plugin \
 		--enable-flatpak-plugin \
 		--enable-fpaste-plugin \
@@ -57,16 +56,19 @@
 		--enable-gettext-plugin \
 		--enable-git-plugin \
 		--enable-gnome-code-assistance-plugin \
+		--enable-hello-cpp-plugin \
 		--enable-html-completion-plugin \
 		--enable-html-preview-plugin \
 		--enable-jedi-plugin \
 		--enable-jhbuild-plugin \
 		--enable-meson-plugin \
+		--disable-meson-templates \
 		--disable-mingw-plugin \
 		--enable-project-tree-plugin \
 		--enable-python-gi-imports-completion-plugin \
 		--enable-python-pack-plugin \
 		--enable-quick-highlight-plugin \
+		--enable-rust-langserv-plugin \
 		--enable-support-plugin \
 		--enable-symbol-tree-plugin \
 		--enable-sysmon-plugin \

## gnome-builder 3.23.91

=== debian/changelog ===
gnome-builder (3.23.91-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in, debian/rules, debian/gnome-builder.install:
    - hello-cpp plugin has been dropped (it wasn't very useful anyway)
  * debian/control.in:
    - Bump minimum sysprof to 3.23.91
  * Enable valgrind plugin on architectures that have valgrind
    and recommend valgrind on those architectures
  * debian/patches/revert-require-vte46.patch: Refresh
  * Add debian/patches/revert-require-vte46b.patch:
    - Revert new search feature for built-in terminal since it
      requires vte 0.46 with pcre2 (see bug 1636666)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2017 20:35:56 -0500

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
                libglib2.0-dev (>= 2.50.0),
                libgspell-1-dev (>= 1.2.0),
                libgtk-3-dev (>= 3.22.1),
-               libgtkmm-3.0-dev,
                libgtksourceview-3.0-dev (>= 3.22.0),
                libjson-glib-dev (>= 0.1.0),
                libpango1.0-dev (>= 1.38.0),
@@ -38,7 +37,7 @@
                mm-common,
                python-gi-dev (>= 3.22.0),
                python3-dev,
-               sysprof (>= 3.22.2) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
+               sysprof (>= 3.23.91) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
                valac (>= 0.34),
                yelp-tools
 # Don't (re)build libide api docs for now:
@@ -66,7 +65,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-jedi, python3-lxml, sysprof, flatpak
+Recommends: python3-jedi, python3-lxml, sysprof, valgrind, flatpak
 Description: IDE for GNOME
  Builder is a new IDE for GNOME that is focused on bringing the power of
  our platform to more developers than ever before.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,12 @@
 SYSPROF_PLUGIN = --enable-sysprof-plugin
 else
 SYSPROF_PLUGIN = --disable-sysprof-plugin
+endif
+
+ifneq (,$(filter amd64 arm64 armhf i386 mips mips64 mips64el mipsel powerpc ppc64 ppc64el s390x x32,$(DEB_HOST_ARCH)))
+VALGRIND_PLUGIN = --enable-valgrind-plugin
+else
+VALGRIND_PLUGIN = --disable-valgrind-plugin
 endif
 
 ifeq (armel,$(DEB_HOST_ARCH))
@@ -56,7 +62,6 @@
 		--enable-gettext-plugin \
 		--enable-git-plugin \
 		--enable-gnome-code-assistance-plugin \
-		--enable-hello-cpp-plugin \
 		--enable-html-completion-plugin \
 		--enable-html-preview-plugin \
 		--enable-jedi-plugin \
@@ -77,7 +82,8 @@
 		--enable-vala-pack-plugin \
 		--enable-xml-pack-plugin \
 		$(CLANG_PLUGIN) \
-		$(SYSPROF_PLUGIN)
+		$(SYSPROF_PLUGIN) \
+		$(VALGRIND_PLUGIN)
 
 # force debian/tmp installation for now until we ship
 # more then one binary package, then this can be dropped...

## gnome-builder 3.23.92

=== debian/changelog ===
gnome-builder (3.23.92-0ubuntu2) zesty; urgency=medium

  * Don't install local copy of https://builder.readthedocs.io/
    because the local docs will need more work for proper packaging
  * Add revert-use-offline-docs.patch:
    - Revert commit that tries to use local docs when networking
      isn't present.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2017 10:11:17 -0400

gnome-builder (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Drop obsolete Build-Depends on yelp-tools
    - Recommend flatpak-builder
  * Update configure switches:
    - Add eslint, make, mono

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2017 09:05:32 -0400

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
                python3-dev,
                sysprof (>= 3.23.91) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
                valac (>= 0.34),
-               yelp-tools
 # Don't (re)build libide api docs for now:
 #               gtk-doc-tools,
 Standards-Version: 3.9.8
@@ -65,7 +64,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-jedi, python3-lxml, sysprof, valgrind, flatpak
+Recommends: python3-jedi, python3-lxml, sysprof, valgrind, flatpak-builder
 Description: IDE for GNOME
  Builder is a new IDE for GNOME that is focused on bringing the power of
  our platform to more developers than ever before.

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 		--enable-create-project-plugin \
 		--enable-c-pack-plugin \
 		--enable-ctags-plugin \
+		--enable-eslint-plugin \
 		--enable-file-search-plugin \
 		--enable-flatpak-plugin \
 		--enable-fpaste-plugin \
@@ -66,7 +67,9 @@
 		--enable-html-preview-plugin \
 		--enable-jedi-plugin \
 		--enable-jhbuild-plugin \
+		--enable-make-plugin \
 		--enable-meson-plugin \
+		--enable-mono-plugin \
 		--disable-meson-templates \
 		--disable-mingw-plugin \
 		--enable-project-tree-plugin \
@@ -98,7 +101,7 @@
 	find debian/tmp -name '*.la' -delete
 	find debian/tmp/usr/lib/ \( -name '*.pyc' -o -name '*.pyo' \) -delete
 	rm -rf debian/tmp/usr/include/gnome-builder-*
-	dh_install --fail-missing -Xgtk-doc -Xpkgconfig -Xgir-1.0
+	dh_install --fail-missing -Xgtk-doc -Xpkgconfig -Xgir-1.0 -Xusr/share/doc/gnome-builder/html
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gnome-builder

## gnome-builder 3.24.0

=== debian/changelog ===
gnome-builder (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Update configure switches:
    - Add phpize
  * Drop revert-use-offline-docs.patch: No longer needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 06:55:40 -0400

## gnome-builder 3.24.1

=== debian/changelog ===
gnome-builder (3.24.1-0ubuntu2) artful; urgency=medium

  * Rebuild against new llvm versioned symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 May 2017 22:33:45 +0200

gnome-builder (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Apr 2017 21:04:21 -0400

## gnome-builder 3.24.2

=== debian/changelog ===
gnome-builder (3.24.2-0ubuntu3) artful; urgency=medium

  * debian/gnome-builder.install:
    - Don't hardcode python3.5 path name

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Aug 2017 20:55:16 -0400

gnome-builder (3.24.2-0ubuntu2) artful; urgency=medium

  * Build against vala 0.36

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Jun 2017 08:44:26 -0400

gnome-builder (3.24.2-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 May 2017 19:08:48 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util,
                dh-python,
                debhelper (>= 10),
@@ -29,7 +29,7 @@
                libpango1.0-dev (>= 1.38.0),
                libpcre3-dev,
                libpeas-dev (>= 1.18.0-2~),
-               libvala-0.34-dev,
+               libvala-0.36-dev,
                libvte-2.91-dev (>= 0.44),
                libwebkit2gtk-4.0-dev (>= 2.8.4),
                libxml2-dev (>= 2.9.0),
@@ -38,7 +38,7 @@
                python-gi-dev (>= 3.22.0),
                python3-dev,
                sysprof (>= 3.23.91) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha powerpcspe x32],
-               valac (>= 0.34),
+               valac (>= 0.36),
 # Don't (re)build libide api docs for now:
 #               gtk-doc-tools,
 Standards-Version: 3.9.8
@@ -56,8 +56,8 @@
          gir1.2-peas-1.0,
          gir1.2-webkit2-4.0,
          python3-gi,
-         valac-0.34-vapi,
-         libvala-0.34-dev,
+         valac-0.36-vapi,
+         libvala-0.36-dev,
          clang [!armel],
          autoconf-archive,
          ${gir:Depends},

=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,7 @@
 		--enable-mono-plugin \
 		--disable-meson-templates \
 		--disable-mingw-plugin \
+		--enable-phpize-plugin \
 		--enable-project-tree-plugin \
 		--enable-python-gi-imports-completion-plugin \
 		--enable-python-pack-plugin \
